Experimental
@aws-cdk/integ-tests-alpha is an experimental (alpha) package: its API may change in any release, without a major version bump.
FetchOptions Struct
Options to pass to the JavaScript fetch api.
Example
ts
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import * as integ_tests_alpha from '@aws-cdk/integ-tests-alpha';
const fetchOptions: integ_tests_alpha.FetchOptions = {
body: 'body',
headers: {
headersKey: 'headers',
},
method: 'method',
port: 123,
};
Properties
Request body.
Default: no body
headersoptional{ [key: string]: string }headersoptionaltyping.Mapping[str, str]headersoptionalMap<String, String>HeadersoptionalIDictionary<string, string>Headersoptional*map[string]*string#Optional request headers.
Default: no headers
methodoptionalstringmethodoptionalstrmethodoptionalStringMethodoptionalstringMethodoptional*string= GET#HTTP method.
Optional port.
Default: default port for protocol